> For the complete documentation index, see [llms.txt](https://help.firstline.cc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.firstline.cc/developer/api/man-yi-du-diao-cha.md).

# 滿意度調查

## 搜尋

```javascript
GET https://{API_DOMAIN}/api/v1/csat-score
```

```javascript
curl -X GET
    -H "Content-Type: application/json"
    https://{API_HOST}/api/v1/csat-score
```

### Form Data

下表為可使用的過濾條件

| PARAMETER                | REQUIRED | DEFAULT | TYPE     | DESCRIPTION |
| ------------------------ | -------- | ------- | -------- | ----------- |
| **score\_\_lower**       | false    | Null    | Number   | 滿意度最低分數區間   |
| **score\_\_upper**       | false    | Null    | Number   | 滿意度最高分數區間   |
| **created\_at\_\_start** | false    | Null    | Datetime | 滿意度填寫開始時間   |
| **created\_at\_\_end**   | false    | Null    | Datetime | 滿意度填寫結束時間   |

### Response

| PROPERTY | TYPE             | DESCRIPTION |
| -------- | ---------------- | ----------- |
| **data** | Array of objects | 陣列物件        |
| **meta** | Object           | 頁籤資料        |

```javascript
{
    "data": [
        {
            "id": 1,
            "contactable_id": 100,
            "contactable_type": "App\\LivechatContact",
            "contact_log_id": 459,
            "handler": {
                "id": 1,
                "name": "alice chang"
            },
            "memo": null,
            "score": 5,
            "created_at": "2021-01-08 19:00:24",
            "updated_at": "2021-01-08 19:00:24"
        },
        {
            "id": 2,
            "contactable_id": 99,
            "contactable_type": "App\\LivechatContact",
            "contact_log_id": 460,
            "handler": {
                "id": 1,
                "name": "alice chang"
            },
            "memo": null,
            "score": 4,
            "created_at": "2021-01-09 12:38:34",
            "updated_at": "2021-01-09 12:38:34"
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://help.firstline.cc/developer/api/man-yi-du-diao-cha.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
